<ion-card class="has-background-grey-dove">
    <ion-row>
        <!-- doctor photo -->
        <ion-col size="auto" class="mr-10 ion-no-padding">
            <ion-card
                class="doctor__photo radius-9 height-80 width-80 ion-no-margin has-background-light"
            >
                <app-img
                    [src]="doctor.photo"
                    [alt]="doctor.name"
                    [errorSrc]="defaultImage"
                    title="Photo du docteur"
                ></app-img>
            </ion-card>
        </ion-col>
        <!-- Doctor info -->
        <ion-col class="px-0 pb-0 pt-10">
            <ion-label
                class="size-12 is-dark-light"
                [routerLink]="link"
                [queryParams]="{ doctorId: doctor.id }"
            >
                Dr {{ doctor.firstname }} {{ doctor.name }}
            </ion-label>
            <ion-label class="size-8 mt-7 block" color="pale-grey-thin">
                {{ doctor.domain.name }}
            </ion-label>
            <div class="doctor__note mt-15 flex ion-align-items-center">
                <ion-icon name="star" class="size-10 is-green-light"></ion-icon>
                <ion-label
                    data-test-id="noteMoyenne"
                    class="weight-600 size-9 s-gray ml-7 ion-text-secondary"
                >
                    {{ doctor.rate }}
                </ion-label>
                <ion-icon
                    data-test-id="img-icon"
                    name="chatbubble-ellipses-outline"
                    class="size-10 ml-15"
                ></ion-icon>

                <ion-label data-test-id="nbrComments" class="size-9 ml-5"
                    >{{ doctor.commentCount }}
                </ion-label>
            </div>
        </ion-col>
    </ion-row>
</ion-card>
